.real-opinions {
    background: #f7f7f7;
    padding-bottom: 50px;
}

.real-opinions__title {
    margin-bottom: 40px;
    font-size: 64px;
}

.comments {
    background: var(--white);
    border-radius: 28px;
    margin-bottom: 40px;
}

.comments__inner {
    max-width: 675px;
    margin-inline: auto;
    padding-block: 55px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.comments__comment {
    display: flex;
    gap: 8px;
    position: relative;
}

.comments__comment-with-answer .comments__comment::before {
    content: '';
    position: absolute;
    width: 40px;
    height: 136px;
    background: url(../img/line-right.svg);
    top: 50px;
    left: 20px;
}

.comments__comment-avatar {
    width: 46px;
    height: 46px;
    border-radius: 50%;
}

.comments__comment-name {
    font-size: 16px;
    margin-bottom: 7px;
    font-weight: bold;
}

.comments__comment-text {
    background: #F0F2F5;
    border-radius: 20px;
    padding: 10px 12px;
    font-size: 16px;
    margin-bottom: 7px;
    color: #1E1E1E;
    line-height: 150%;
}

.comments__comment-footer {
    display: flex;
    justify-content: space-between;
}

.comments__comment-footer-left {
    display: flex;
    gap: 12px;
    font-size: 16px;
}

.comments__comment-footer-buttton {
    color: #21C0FF;
    font-weight: 700;
    text-decoration: none;
}

.comments__comment-footer-right {
    display: flex;
    align-items: center;
}

.comments__comment-footer-right img {
    width: 25px;
    height: 25px;
    position: relative;
    z-index: 2;
}

.comments__comment-footer-right img:first-child {
    right: -12px;
}

.comments__comment-footer-right p {
    font-size: 16px;
    background: #F0F2F5;
    padding-inline: 6px;
    padding-left: 16px;
    border-radius: 0 50px 50px 0;
    position: relative;
    left: -10px;
    z-index: 1;
    font-weight: 500;
}

.comments__comment-footer-right {
    position: relative;
    right: -10px;
}

.comments__comment--answer {
    max-width: 430px;
    margin-left: 55px;
    margin-top: 16px;
}

.comments__comment--answer .comments__comment-avatar {
    width: 24px;
    height: 24px;
}

.comments__comment-with-answer .comments__comment--answer::before {
    background: url(../img/line.svg);
    width: 2px;
    left: 10px;
    top: 25px;
    height: 100%;
}

.comments__comment--answer:last-child::before {
    background: none;
}

button.real-opinions__button {
    display: flex;
    justify-content: center;
    margin-inline: auto;
    max-width: 332px;
    width: 100%;
    font-size: 18px;
    padding: 25px;
}



@media (max-width: 992px) {
    .real-opinions__title {
        font-size: 34px;
        margin-bottom: 30px;
    }

    .comments__inner {
        padding: 55px 10px;

    }

    .comments {
        border: 1px solid #E5E4E4;
        border-radius: 28px;
        margin-bottom: 30px;
    }

    button.real-opinions__button {
        font-size: 16px;
        padding: 27px;
    }
}

.spinner {
    display: none;
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #000;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    animation: spin 1s linear infinite;
    margin: 0 auto;
}

.load-more-comments {
    display: none;
}

.comments__comment-with-answer.load-more-comments {
    flex-direction: column;
}

#loadMoreButton:disabled {
    background-color: grey;
    cursor: not-allowed;
    opacity: 0.5;
    animation: none;
}

#loadMoreButton:disabled:hover {
    color: var(--white);
    border-color: grey;
}
@keyframes spin {
    to { transform: rotate(360deg); }
}

.loading {
    display: flex;
    align-items: center;
    justify-content: center;
}

.comments__comment-image {
    max-width: 350px;
    margin-bottom: 20px;
    width: 100%;
    border-radius: 5px;
}

@media (max-width: 768px) {
    .real-opinions {
        padding-top: 16px;
        padding-bottom: 16px;
    }

    .real-opinions__title {
        font-size: 28px;
        margin-bottom: 16px;
    }

    .comments__inner {
        padding: 16px;
    }

    .comments {
        margin-bottom: 16px;

    }

    .comments__comment--answer {
        margin-left: 10px;
    }

    .comments__comment-with-answer .comments__comment::before {
        background: url(../img/line.svg);
        width: 2px;
        left: 14px;
        top: 25px;
        height: 100%;
    }

    .comments__comment-avatar {
        width: 35px;
        height: 35px;
    }
}

